#!/bin/sh

#  update_install.sh
#  SimplePlugin
#
#  Created by ALEKSEY MARTEMYANOV on 26.05.16.
#  Copyright © 2016 Sergey. All rights reserved.

#!/bin/bash
pwd=$PWD

# Attach DMG
mkdir ./DMG
hdiutil attach $1 -private -nobrowse -mountpoint ./DMG

# PKG installer
pkg=$(find ./DMG -name "*.pkg" -type f -maxdepth 1 | head -n 1)
if [ "$pkg" ]
then
    # Unpack PKG
    pkgutil --expand "$pkg" ./pkg
    cd ./pkg/*.pkg
    PKG_DIR=$PWD

    # Run preinstall
    cd ./Scripts
    ./preinstall

    # Install
    cd $HOME
    tar xvf "$PKG_DIR/Payload"
    # Run postinstall
    cd "$PKG_DIR/Scripts"
    ./postinstall

# APP installer
else
    # Find installer .app except for Uninstaller
    app=$(find ./DMG -name "*.app" -type d -maxdepth 1 ! -name "*ninstall*" | head -n 1)
    if [ "$app" ]
    then
        cd "$app/Contents/MacOS"
        # Find executable
        exec=$(/usr/libexec/PlistBuddy -c "Print CFBundleExecutable" "../Info.plist" || find ./Contents/MacOS -name "*" -type f -maxdepth 1 | head -n 1)
        # launch
        "./$exec" -nogui
    else
        echo "Installer app not found!"
        ls ./
    fi
fi
# Cleanup
hdiutil detach -force "$pwd/DMG"
rm -rf "$pwd"